# TdApi.RecoverAuthenticationPassword (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: RecoverAuthenticationPassword

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.RecoverAuthenticationPassword

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.RecoverAuthenticationPassword

Enclosing class:
  TdApi

public static final class TdApi.RecoverAuthenticationPassword extends TdApi.Function<TdApi.Ok>
Recovers the 2-step verification password with a password recovery code sent to an email address that was previously set up. Works only when the current authorization state is authorizationStateWaitPassword. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`newHint`
New password hint; may be empty.
`String`
`newPassword`
New 2-step verification password of the user; may be empty to remove the password.
`String`
`recoveryCode`
Recovery code to check.

## Constructor Summary

Constructors
Constructor
Description
`RecoverAuthenticationPassword()`
Recovers the 2-step verification password with a password recovery code sent to an email address that was previously set up.
`RecoverAuthenticationPassword(DataInput input)`
Recovers the 2-step verification password with a password recovery code sent to an email address that was previously set up.
`RecoverAuthenticationPassword(String recoveryCode, String newPassword, String newHint)`
Recovers the 2-step verification password with a password recovery code sent to an email address that was previously set up.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### recoveryCode

public String recoveryCode
Recovery code to check.

### newPassword

public String newPassword
New 2-step verification password of the user; may be empty to remove the password.

### newHint

public String newHint
New password hint; may be empty.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### RecoverAuthenticationPassword

public RecoverAuthenticationPassword()
Recovers the 2-step verification password with a password recovery code sent to an email address that was previously set up. Works only when the current authorization state is authorizationStateWaitPassword. Returns `Ok`

### RecoverAuthenticationPassword

public RecoverAuthenticationPassword(String recoveryCode, String newPassword, String newHint)
Recovers the 2-step verification password with a password recovery code sent to an email address that was previously set up. Works only when the current authorization state is authorizationStateWaitPassword. Returns `Ok`

Parameters:
  `recoveryCode` - String Recovery code to check.
  `newPassword` - String New 2-step verification password of the user; may be empty to remove the password.
  `newHint` - String New password hint; may be empty.

### RecoverAuthenticationPassword

public RecoverAuthenticationPassword(DataInput input) throws IOException
Recovers the 2-step verification password with a password recovery code sent to an email address that was previously set up. Works only when the current authorization state is authorizationStateWaitPassword. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`